First Start | Installation | Network Play | Configuration | FAQ | Redistribution

# Installation

### Installer

Run the executable, select a directory to install armagetron into and enjoy. Start menu entries and a desktop shortcut will be created for you. To uninstall, start the uninstaller from the start menu.

### Updater

Run the executable. It should find and update the previous version automatically.

### Zip Archive

If you have the .zip-version, unpack it to the place you want Armagetron Advanced to be (using WinZip, for example) and create the desktop/startmenu shortcuts manually by right-dragging armagetronad.exe from the installation directory.

To uninstall, simply delete the extracted directory and the shortcuts you made.

## Result

The contents of the installation directory should be something like this:

armagetronad.exe | (the main executable)
models | (the directory for the cycle models)
sound | (the directory for sound files)
textures | (the directory for textures and the icon)
doc | (the documentation you are just reading)
language | (the game's text messages)
config | (static configuration files)
var | (game logs and custom configuration)

Additionally, if you installed the moviepack/moviesounds from the addons page, you'll see the two directories

moviepack
moviesounds

containing ONLY files and no subdirectories. When you have run Armagetron Advanced, you'll see the additional files

highscores.txt,ladder.txt,won_matches.txt and won_rounds.txt | (score statistics files)
user.cfg | (Armagetron Advanced custom configuration file)

Inside the var subdirectory, You may want to create your own configuration files

autoexec.cfg | (config file read at every start)

inside the var subdirectory or the config subdirectory for your custom modifications; that way, they don't get overwritten by the defaults the next time you install an update.

### Command line switches

-h, +h, --help | get help
-v, +v, --version | print version number
--datadir <Directory> | systemwide data directory; read game data (textures, sounds and text) from this directory.
--userdatadir <Directory> | user data dir; try to read all game data from this directory first.
--configdir <Directory> | read game configuration (.cfg-files) from this directory.
--userconfigdir <Directory> | user configuration directory; try to read the configuration from here first.
--vardir <Directory> | save game logs, highscores and user configuration in this directory.
-f, +f, --fullscreen | start in fullscreen mode
-w, +w, --window, --windowed | start in windowed mode
+directx, -directx | enable/disable usage of DirectX for screen initialisation

The various directories you can set have the following impact on how the game loads and saves files.( Usually, you don't have to bother about it; there are reasonable defaults. But if you want to do some meddling with the data, these options are your ticket. )

#### Data

Sounds, textures and models will be first looked for in the directory specified with --userdatadir. If they are not found there or if --userdatadir was not used, they are looked for in the directory specified with --datadir. This directory defaults to the current directory if not specified.

#### Configuration

(I'll leave out the bits about "if option xxx is not set" from now on ) Configuration files are first looked for in --userconfigdir, then --userdatadir/config ( the dir passed to --userdatadir, appended with /config ), then --configdir and finally --datadir/config.

#### Logs and user configuration

Log files ( game results, the settings made in the in game menu ) are loaded from --vardir, then, if not found there, from --userdatadir/var and finally from --datadir/var. They are only saved in the first of these directories that was specified.

## OpenGL Driver

Armagetron Advanced uses OpenGL for the 3D graphics. A software implementation of OpenGL comes with all Windows versions and Armagetron Advanced can use that. Of course, if you have a 3D accelerator card, you want to use that; usually, when you installed the driver for your card, an accelerated implementation of OpenGL was registered with windows.

If you experience problems with the graphics or if Armagetron Advanced does not even start correctly, try installing the most recent drivers for your graphics card you can find. A convenient way to do so is GLSetup.

#### Special notes for VooDoo addon cards (i.e. VooDoo 1,VooDoo 2):

A small problem here: the standard OPENGL32.DLL has no hardware acceleration. Instead, 3DFX supplies you with a file called 3dfxVGL.DLL or 3dfxOGL.DLL (found in your windows\system folder). Simply copy (drag it with the right mouse button and select "copy" from the pop-up-menu) it into the folder "armagetronad.exe" is in and rename it there to "OPENGL32.DLL". Then, "armagetronad.exe" will use this file instead of Microsoft's standard OPENGL32.DLL. If you cannot find 3dfxVGL.DLL or 3dfxOGL.DLL, you should first check whether you can find ANY .DLL files in the folder; if not, you'll have to enable the item "show all files" (or similar) in the folder options. If it's still not there,
If you have problems with that procedure or get crashes in glide3x.*, download this working version for VooDoo 2 (maybe 1) and unpack it into your Armagetron Advanced directory. According to the driver, you need at least Glide 2.56 installed; it really should work if you use the driver version 3.02.02 (or higher?).

You need to be in 16 bit colour depth mode to run Armagetron Advanced on some cards (Riva 128, some VooDoos).

This document was created by Manuel Moos

Last modification: Sat Oct 28 05:51:29 UTC 2006

First Start | Installation | Network Play | Configuration | FAQ | Redistribution